Home / Lua API Manual / types / lua_entry
< lua_container
lua_file_chooser_button >

# lua_entry

`dt_type`

A widget in which the user can input text

Attributes:

- has_tostring
- parent : types.lua_widget

# 🔗lua_entry.__call

see types.lua_widget.As a function

# 🔗lua_entry.extra registration parameters

This widget has no extra registration parameters

# 🔗lua_entry.text

`string`

The content of the entry

Attributes:

- write

# 🔗lua_entry.placeholder

`string`

The text to display when the entry is empty

Attributes:

- write

# 🔗lua_entry.is_password

`boolean`

True if the text content should be hidden

Attributes:

- write

# 🔗lua_entry.editable

`boolean`

False if the entry should be read-only

Attributes:

- write

< lua_container
lua_file_chooser_button >